RubyGems Navigation menu

argser 1.7

Argser (from 'ARGuments parSER') is a library that aims to simplify the process of parsing arguments in command line scripts written in Ruby. It provides an easy way to specify which parameters are valid, their type or format, error conditions, description, etc. In that way, it reduces the need to write code specificaly to parse and validate such arguments. The idea is pretty simple. To be able to use the arguments passed when the script was executed in a easy and consistent way, you only need to specify some general options for the application, a list of parameters and some properties that must hold for both, parameters and what is called the 'remaining array' (an array with strings that don't belong to any parameter).

Gemfile
          gem 'argser', '~> 1.7'
  
  
  
  
  
  
  

install
          gem install argser
  
  
  
  
  
  
  

Authors:

  • Matías Parodi

Owners:

Total downloads 7,026

For this version 1,082

Show all versions (8 total)

Required Ruby Version: None

Links:

Versions:

  1. 1.7 - January 15, 2013 (8.5 KB)
  2. 1.6 - January 15, 2013 (8.5 KB)
  3. 1.5 - January 15, 2013 (8.5 KB)
  4. 1.4 - January 15, 2013 (8.5 KB)
  5. 1.3 - January 15, 2013 (8.5 KB)
Show all versions (8 total)